## kontactinterface 25.08.2+p24.04+vstable+git20251019.0304

=== debian/changelog ===
kontactinterface (25.08.2+p24.04+vstable+git20251019.0304-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:04:38 +0000
