## kontactinterface 25.08.2+p24.04+vunstable+git20251015.1326

=== debian/changelog ===
kontactinterface (25.08.2+p24.04+vunstable+git20251015.1326-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 13:26:02 +0000
