## kontactinterface 25.08.2+p24.04+vunstable+git20251020.1144

=== CMakeLists.txt ===
--- 
+++ 
@@ -107,7 +107,7 @@
 endif()
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 ecm_set_disabled_deprecation_versions(QT 6.10.0
-     KF 6.18.0
+     KF 6.19.0
 )
 set(KONTACTINTERFACE_HAVE_X11 ${X11_FOUND})
