## kontactinterface 25.08.2+p24.04+vunstable+git20251022.0244

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 project(KontactInterface VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.17.0")
+set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
