=== debian/changelog ===
kontactinterface (25.08.3+p24.04+vunstable+git20251202.1046-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 10:46:33 +0000

kontactinterface (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:43:10 +1000
