## kontactinterface 25.12.0+p24.04+vstable+git20251208.2035

=== debian/changelog ===
kontactinterface (25.12.0+p24.04+vstable+git20251208.2035-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 20:35:08 +0000
