## kontactinterface 25.12.0+p24.04+vstable+git20251222.0545

=== debian/changelog ===
kontactinterface (25.12.0+p24.04+vstable+git20251222.0545-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 05:45:50 +0000
