=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.14.0~),
+               extra-cmake-modules (>= 6.18.0~),
                gettext,
-               libkf6coreaddons-dev (>= 6.14.0~),
-               libkf6i18n-dev (>= 6.14.0~),
-               libkf6parts-dev (>= 6.14.0~),
-               libkf6windowsystem-dev (>= 6.14.0~),
-               libkf6xmlgui-dev (>= 6.14.0~),
+               libkf6coreaddons-dev (>= 6.18.0~),
+               libkf6i18n-dev (>= 6.18.0~),
+               libkf6parts-dev (>= 6.18.0~),
+               libkf6windowsystem-dev (>= 6.18.0~),
+               libkf6xmlgui-dev (>= 6.18.0~),
                libx11-dev,
                qt6-base-dev (>= 6.8.0~),
                qt6-base-private-dev (>= 6.8.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/pim/kontactinterface
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kontactinterface
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kontactinterface.git
@@ -37,7 +37,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6parts-dev (>= 6.14.0~),
+Depends: libkf6parts-dev (>= 6.18.0~),
          libkpim6kontactinterface6 (= ${binary:Version}),
          ${misc:Depends},
 Description: Kontact interface library - development files
