## kontactinterface 25.12.1+p24.04+vstable+git20260106.2340

=== debian/changelog ===
kontactinterface (25.12.1+p24.04+vstable+git20260106.2340-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 23:40:00 +0000

kontactinterface (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:30:02 +1000
