## kontactinterface 25.12.1+p24.04+vstable+git20260111.0549

=== debian/changelog ===
kontactinterface (25.12.1+p24.04+vstable+git20260111.0549-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 05:49:24 +0000
