=== debian/changelog ===
kontactinterface (25.12.1+p24.04+vunstable+git20260118.0123-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 18 Jan 2026 01:23:06 +0000
