=== debian/control ===
Source: kontactinterface
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kparts-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               libx11-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev,
               reuse,
               spdx-licenses
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/pim/kontactinterface
Vcs-Git: https://invent.kde.org/neon/kde/kontactinterface.git
Vcs-Browser: https://invent.kde.org/neon/kde/kontactinterface
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-kontactinterface
Architecture: any
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf5kontactinterface-data,
          libkf5kontactinterface5,
          libkf6kontactinterface-data,
          libkf6kontactinterface6,
          libkpim6kontactinterface-data,
          libkpim6kontactinterface6
Description: Kontact interface library
 This library provides the glue necessary for application "Parts" to be
 embedded as a Kontact component (or plugin).

Package: kpim6-kontactinterface-dev
Section: libdevel
Architecture: any
X-Neon-MergedPackage: true
Depends: kf6-kio-dev,
         kf6-kparts-dev,
         kpim6-kontactinterface (= ${binary:Version}),
         ${misc:Depends}
Replaces: libkf5kontactinterface-dev,
          libkf6kontactinterface-dev,
          libkpim6kontactinterface-dev
Description: Kontact interface library - development files
 This library provides the glue necessary for application "Parts" to be
 embedded as a Kontact component (or plugin).
 .
 This package contains the development files.

Package: libkpim6kontactinterface6
Architecture: all
Depends: kpim6-kontactinterface, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6kontactinterface-data
Architecture: all
Depends: kpim6-kontactinterface, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6kontactinterface-dev
Architecture: all
Depends: kpim6-kontactinterface-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6kontactinterface6
Architecture: all
Depends: kpim6-kontactinterface, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6kontactinterface-data
Architecture: all
Depends: kpim6-kontactinterface, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6kontactinterface-dev
Architecture: all
Depends: kpim6-kontactinterface-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5kontactinterface5
Architecture: all
Depends: kpim6-kontactinterface, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5kontactinterface-data
Architecture: all
Depends: kpim6-kontactinterface, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5kontactinterface-dev
Architecture: all
Depends: kpim6-kontactinterface-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
