=== debian/changelog ===
kontactinterface (25.12.1+p24.04+vunstable+git20260126.0922-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 09:22:22 +0000
